[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-ID: <b800a71479a24a4142542051636e980c3b547434.1739794830.git.pablmart@redhat.com>
Date: Mon, 17 Feb 2025 13:32:01 +0100
From: Pablo Martin Medrano <pablmart@...hat.com>
To: netdev@...r.kernel.org
Cc: "David S . Miller" <davem@...emloft.net>,
Eric Dumazet <edumazet@...gle.com>,
Jakub Kicinski <kuba@...nel.org>,
Paolo Abeni <pabeni@...hat.com>,
Simon Horman <horms@...nel.org>,
Shuah Khan <shuah@...nel.org>,
pablmart@...hat.com
Subject: [PATCH net] selftests/net: big_tcp: longer netperf session on slow machines
After debugging the following output for big_tcp.sh on a board:
CLI GSO | GW GRO | GW GSO | SER GRO
on on on on : [PASS]
on off on off : [PASS]
off on on on : [FAIL_on_link1]
on on off on : [FAIL_on_link1]
Davide Caratti found that by default the test duration 1s is too short
in slow systems to reach the correct cwd size necessary for tcp/ip to
generate at least one packet bigger than 65536 to hit the iptables match
on length rule the test uses.
This skips (with xfail) the aforementioned failing combinations when
KSFT_MACHINE_SLOW is set.
---
tools/testing/selftests/net/big_tcp.sh | 23 +++++++++++++++--------
1 file changed, 15 insertions(+), 8 deletions(-)
diff --git a/tools/testing/selftests/net/big_tcp.sh b/tools/testing/selftests/net/big_tcp.sh
index 2db9d15cd45f..e613dc3d84ad 100755
--- a/tools/testing/selftests/net/big_tcp.sh
+++ b/tools/testing/selftests/net/big_tcp.sh
@@ -21,8 +21,7 @@ CLIENT_GW6="2001:db8:1::2"
MAX_SIZE=128000
CHK_SIZE=65535
-# Kselftest framework requirement - SKIP code is 4.
-ksft_skip=4
+source lib.sh
setup() {
ip netns add $CLIENT_NS
@@ -157,12 +156,20 @@ do_test() {
}
testup() {
- echo "CLI GSO | GW GRO | GW GSO | SER GRO" && \
- do_test "on" "on" "on" "on" && \
- do_test "on" "off" "on" "off" && \
- do_test "off" "on" "on" "on" && \
- do_test "on" "on" "off" "on" && \
- do_test "off" "on" "off" "on"
+ echo "CLI GSO | GW GRO | GW GSO | SER GRO"
+ input_by_test=(
+ " on on on on"
+ " on off on off"
+ "off on on on"
+ " on on off on"
+ "off on off on"
+ )
+ for test_values in "${input_by_test[@]}"; do
+ do_test ${test_values[0]}
+ xfail_on_slow check_err $? "test failed"
+ # check_err sets $RET with $ksft_xfail or $ksft_fail (or 0)
+ test $RET = 0 || return $RET
+ done
}
if ! netperf -V &> /dev/null; then
--
2.48.1
Powered by blists - more mailing lists